<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>digital.laboratory.platform</groupId>
		<artifactId>DigitalLaboratoryPlatform</artifactId>
		<version>2022.10.11-snapshots</version>
	</parent>

	<artifactId>dlp-reagent-managment</artifactId>
	<packaging>jar</packaging>
	<description>DLP 的试剂耗材管理</description>
	<properties>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.compiler.source>1.8</maven.compiler.source>
		<junit.version>5.7.1</junit.version>
	</properties>

	<dependencies>
		<!--注册中心客户端-->
		<!-- https://mvnrepository.com/artifact/com.alibaba.cloud/spring-cloud-starter-alibaba-nacos-discovery -->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
			<version>2021.1</version>
		</dependency>

		<!--配置中心客户端-->
		<!-- https://mvnrepository.com/artifact/com.alibaba.cloud/spring-cloud-starter-alibaba-nacos-config -->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
			<version>2021.1</version>
		</dependency>

		<!-- swagger -->
		<dependency>
			<groupId>digital.laboratory.platform</groupId>
			<artifactId>dlp-common-swagger</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
			<version>2.5.5</version>
		</dependency>
		<!--断路器依赖-->
		<dependency>
			<groupId>digital.laboratory.platform</groupId>
			<artifactId>dlp-common-feign</artifactId>
			<version>2022.10.11-snapshots</version>
		</dependency>

		<!--security-->
		<dependency>
			<groupId>digital.laboratory.platform</groupId>
			<artifactId>dlp-common-security</artifactId>
			<version>2022.10.11-snapshots</version>
		</dependency>

		<!--JDBC相关-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-jdbc</artifactId>
		</dependency>
		
<!--		<dependency>-->
<!--			<groupId>org.springframework.boot</groupId>-->
<!--			<artifactId>spring-boot-starter-thymeleaf</artifactId>-->
<!--		</dependency>-->

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!--core 工具类-->
		<dependency>
			<groupId>digital.laboratory.platform</groupId>
			<artifactId>dlp-common-core</artifactId>
			<version>2022.10.11-snapshots</version>
		</dependency>


		<!-- 数据库 mysql依赖 -->
		<!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>8.0.28</version>
		</dependency>

		<!--undertow容器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-undertow</artifactId>
		</dependency>
		
		<!-- log -->
		<dependency>
			<groupId>digital.laboratory.platform</groupId>
			<artifactId>dlp-common-log</artifactId>
			<version>2022.10.11-snapshots</version>
		</dependency>

		<!-- 业务数据的依赖 -->
		<dependency>
			<groupId>digital.laboratory.platform</groupId>
			<artifactId>dlp-admin-api</artifactId>
			<version>2022.10.11-snapshots</version>
		</dependency>


	</dependencies>

	<build>


		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<compilerArgument>-Xlint:unchecked</compilerArgument>
				</configuration>
				<version>3.8.1</version>
			</plugin>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>io.fabric8</groupId>
				<artifactId>docker-maven-plugin</artifactId>
			</plugin>

			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>build-helper-maven-plugin</artifactId>
				<version>3.3.0</version>
				<executions>
					<execution>
						<id>timestamp-property</id>
						<goals>
							<goal>timestamp-property</goal>
						</goals>
						<configuration>
							<name>timestamp</name>
							<pattern>yyyy-MM-dd HH:mm:ss</pattern>
							<locale>zh_CN</locale>
							<timeZone>Asia/Shanghai</timeZone>
						</configuration>
					</execution>
				</executions>
			</plugin>


			<plugin>
				<artifactId>maven-resources-plugin</artifactId>
				<version>3.1.0</version>
				<executions>
					<execution>
						<id>copy-resource-one</id>
						<phase>install</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>${basedir}/../out</outputDirectory>
							<resources>
								<resource>
									<directory>${basedir}/target</directory>
									<includes>
										<include>${project.artifactId}.jar</include>
									</includes>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>

		</plugins>
	</build>


</project>
